function MqLineItemAdapterExt(oVecWebSess, iFldType, iFldSubType, iFldAutoCreateAssets)
{			
	var m_oVecWebSess=oVecWebSess;
	var m_iFldType=iFldType;
	var m_iFldSubType=iFldSubType;
	var m_iFldAutoCreateAssets=iFldAutoCreateAssets;
	
	function submitAfter(lngNewID)
	{
		var TYPE_LINE_ITEM=3;
		var SUB_TYPE_ASSETS=8;
		
		var lngType=GetFldValue(m_iFldType);
		if(lngType==TYPE_LINE_ITEM){
			var bAutoCreateAssets=GetFldValue(m_iFldAutoCreateAssets);
			if(bAutoCreateAssets){
				var lngSubType=GetFldValue(m_iFldSubType);
				if(lngSubType==SUB_TYPE_ASSETS){
					g_MqRef.MsgHlpr.DisplayMessage(g_MqRef.RESX["MSG_ASSETS_CREATED_FROM_PURCH"]);
				}else{
					g_MqRef.MsgHlpr.DisplayMessage(g_MqRef.RESX["MSG_SW_ASSETS_CREATED_FROM_PURCH"]);
				}
			}
		}
	}
	
	function GetFldValue(iFldID)
	{
		var strVal="";
		
		if(m_oVecWebSess){
			var oCurrRec=m_oVecWebSess.RecordMgr().CurrentRecord();
			if(oCurrRec){
				var oFldVal=oCurrRec.FldVals(iFldID);  
				if (oFldVal){
					strVal=oFldVal.GetValue();
				}
			}
		}
		return strVal;
	}
	this.submitAfter=submitAfter;
	
	WriteConsole("MqLineItemAdapterExt: Initializing the extension");		
}
